be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

## Class CompoundType

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.CompoundType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:53:09+02:00",
                 comments="JAXB RI v2.3.7")
      public class CompoundType
      extends Object
      implements Serializable

  Java class for compoundType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="compoundType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR" maxOccurs="unbounded" minOccurs="0"/>
               <choice>
                 <element name="medicinalproduct" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}medicinalProductType"/>
                 <element name="substance" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}substanceType"/>
               </choice>
               <element name="quantityprefix" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-QUANTITYPREFIX"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="quantity" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}quantityType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompoundType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<IDKMEHR>` | `getIds()` Gets the value of the ids property.
    `MedicinalProductType` | `getMedicinalproduct()` Gets the value of the medicinalproduct property.
    `QuantityType` | `getQuantity()` Gets the value of the quantity property.
    `Quantityprefix` | `getQuantityprefix()` Gets the value of the quantityprefix property.
    `SubstanceType` | `getSubstance()` Gets the value of the substance property.
    `void` | `setMedicinalproduct(MedicinalProductType value)` Sets the value of the medicinalproduct property.
    `void` | `setQuantity(QuantityType value)` Sets the value of the quantity property.
    `void` | `setQuantityprefix(Quantityprefix value)` Sets the value of the quantityprefix property.
    `void` | `setSubstance(SubstanceType value)` Sets the value of the substance property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompoundType

          public CompoundType()

  - ### Method Detail

    - #### getIds

          public List<IDKMEHR> getIds()

      Gets the value of the ids property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

      For example, to add a new item, do as follows:

              getIds().add(newItem);

      Objects of the following type(s) are allowed in the list `IDKMEHR`

    - #### getSubstance

          public SubstanceType getSubstance()

      Gets the value of the substance property.
      Returns:
        possible object is `SubstanceType`

    - #### setSubstance

          public void setSubstance(SubstanceType value)

      Sets the value of the substance property.
      Parameters:
        `value` - allowed object is `SubstanceType`

    - #### getMedicinalproduct

          public MedicinalProductType getMedicinalproduct()

      Gets the value of the medicinalproduct property.
      Returns:
        possible object is `MedicinalProductType`

    - #### setMedicinalproduct

          public void setMedicinalproduct(MedicinalProductType value)

      Sets the value of the medicinalproduct property.
      Parameters:
        `value` - allowed object is `MedicinalProductType`

    - #### getQuantityprefix

          public Quantityprefix getQuantityprefix()

      Gets the value of the quantityprefix property.
      Returns:
        possible object is `Quantityprefix`

    - #### setQuantityprefix

          public void setQuantityprefix(Quantityprefix value)

      Sets the value of the quantityprefix property.
      Parameters:
        `value` - allowed object is `Quantityprefix`

    - #### getQuantity

          public QuantityType getQuantity()

      Gets the value of the quantity property.
      Returns:
        possible object is `QuantityType`

    - #### setQuantity

          public void setQuantity(QuantityType value)

      Sets the value of the quantity property.
      Parameters:
        `value` - allowed object is `QuantityType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.